Page MenuHomePhabricator

Fix inconsistent use of "action API" and "web API" (and/or "REST API") terms on mediawiki.org
Closed, ResolvedPublic

Description

There are the terms "MediaWiki web API" and "MediaWiki action API" on numerous mediawiki.org pages (most results likely due to the API template being included).
https://www.mediawiki.org/wiki/Template:API also calls it "MediaWiki action API".

https://www.mediawiki.org/api/ also lists an "Action API" . And a "REST API v1" while https://www.mediawiki.org/wiki/Template:API calls it "REST content API" instead.

https://www.mediawiki.org/wiki/API:Main_page also says that the action API "was known as the MediaWiki API, but there are now other web APIs available that connect to MediaWiki such as RESTBase and the Wikidata query service."

Question: So I guess that "action API" is the term to use? And "web API" the confusing generic term to kill in times of REST? As a new contributor, I'm mostly confused.

(Note to myself: I originally came here wondering about what' became T173948: Decide on fate of [[mw:API:Tutorial]].)


Queries on mw.org:

Event Timeline

  • action API = /w/api.php
  • REST API = restbase

Probably the best thing to do is look at every occurence of "web API" and see if it'd be better replaced by "action API", "REST API", or whether it is actually referring to a generic web API.

Anomie moved this task from Unsorted to Non-Code on the MediaWiki-API board.Aug 22 2017, 1:13 PM
Aklapper renamed this task from Fix inconsistent use of "action API" and "web API" terms on mediawiki.org to Fix inconsistent use of "action API" and "web API" (and/or "REST API") terms on mediawiki.org.Oct 10 2017, 4:50 PM
Aklapper updated the task description. (Show Details)Oct 10 2017, 4:52 PM

TODO (either I do not know which API, or not sure if it's helpful to rename to 'REST API') - Your help is welcome:

Replaced ambiguous term "web API" by "action API":

Keep as is:

Tgr added a subscriber: Tgr.Nov 22 2017, 11:23 PM

REST API is not a great name as it's a property of an API, not a unique name for one. (There is discussion on adding a REST API to MediaWiki, for example. ElasticSearch or Graphite also has a REST API, etc.) RESTBase API or "rest v1" API maybe?

Tgr added a comment.Nov 22 2017, 11:49 PM

Fixed the rest of the pages in T173815#3673839.

REST API is not a great name as it's a property of an API, not a unique name for one. (There is discussion on adding a REST API to MediaWiki, for example. ElasticSearch or Graphite also has a REST API, etc.) RESTBase API or "rest v1" API maybe?

Thanks fot these thoughts! If there is consensus to call this RESTBase API or such, please file a different task and have stakeholders agree on wording (for future documents to be created/added)? :)

Aklapper closed this task as Resolved.Nov 24 2017, 2:52 PM
Aklapper moved this task from Backlog to November on the Developer-Advocacy (Oct-Dec 2017) board.

Fixed the rest of the pages in T173815#3673839.

Thanks a lot Jdforrester-WMF and Tgr for your help! Closing this task as resolved.

Qgil awarded a token.Dec 7 2017, 11:05 AM